Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# PNMTextGlyph Class Reference

A single glyph in a PNMTextMaker. More...

List of all members.

## Public Member Functions
| PNMTextGlyph (double advance)
int | getAdvance ()
| Returns the number of pixels by which the pen should be advanced after rendering this glyph.
int | getBottom ()
| Returns the y coordinate of the bottommost pixel in the glyph.
int | getHeight ()
| Returns the height of the glyph in pixels.
bool | getInteriorFlag (int x, int y)
| Returns true if the indicated pixel represents a pixel in the interior of a hollow font, false otherwise.
int | getLeft ()
| Returns the x coordinate of the leftmost pixel in the glyph.
int | getRight ()
| Returns the x coordinate of the rightmost pixel in the glyph.
int | getTop ()
| Returns the y coordinate of the topmost pixel in the glyph.
double | getValue (int x, int y)
| Returns the value of the indicated pixel of the glyph.
int | getWidth ()
| Returns the width of the glyph in pixels.
| place (PNMImage dest_image, int xp, int yp, VBase4 const fg)
| Copies the glyph to the indicated destination image at the indicated origin.
| place (PNMImage dest_image, int xp, int yp, VBase4 const fg, VBase4 const interior)
| This flavor of place() also fills in the interior color.

## Detailed Description

A single glyph in a PNMTextMaker.

## Constructor & Destructor Documentation

PNMTextGlyph | ( | double | advance | ) |

## Member Function Documentation

int getAdvance | ( |  | ) |

Returns the number of pixels by which the pen should be advanced after rendering this glyph.

int getBottom | ( |  | ) |

Returns the y coordinate of the bottommost pixel in the glyph.

int getHeight | ( |  | ) |

Returns the height of the glyph in pixels.

bool getInteriorFlag | ( | int | x,
|  | int | y
| ) |  |

Returns true if the indicated pixel represents a pixel in the interior of a hollow font, false otherwise.

int getLeft | ( |  | ) |

Returns the x coordinate of the leftmost pixel in the glyph.

int getRight | ( |  | ) |

Returns the x coordinate of the rightmost pixel in the glyph.

int getTop | ( |  | ) |

Returns the y coordinate of the topmost pixel in the glyph.

double getValue | ( | int | x,
|  | int | y
| ) |  |

Returns the value of the indicated pixel of the glyph.

The result is in the range [0, 1], where 0 indicates the pixel is not part of the glyph, and 1 indicates it is. Intermediate values are used to represent antialiasing.

int getWidth | ( |  | ) |

Returns the width of the glyph in pixels.

place | ( | PNMImage | dest_image,
|  | int | xp,
|  | int | yp,
|  | VBase4 const | fg,
|  | VBase4 const | interior
| ) |  |

This flavor of place() also fills in the interior color.

This requires that determine_interior was called earlier.

place | ( | PNMImage | dest_image,
|  | int | xp,
|  | int | yp,
|  | VBase4 const | fg
| ) |  |

Copies the glyph to the indicated destination image at the indicated origin.

It colors the glyph pixels the indicated foreground color, blends antialiased pixels with the appropriate amount of the foreground color and the existing background color, and leaves other pixels alone.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties